package com.ruoyi.project.VRdemo.domain.imData;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.utils.excel.DataConverter;
import com.ruoyi.project.VRdemo.domain.Research;

public class ResearchImData implements BaseImData<ResearchImData, Research> {

    @ExcelProperty("序号")
    private Long id;

    @ExcelProperty("书名")
    private String title;

    @ExcelProperty("作者")
    private String author;

    @ExcelProperty("出版机构")
    private String institution;

    @ExcelProperty("主题词")
    private String topic;

    @ExcelProperty("出版年")
    private String publicationTime;

    @ExcelProperty("分类号")
    private String category;

    @ExcelIgnore
    DataConverter<ResearchImData, Research> converter = new DataConverter<ResearchImData, Research>() {
        @Override
        protected Research convert(ResearchImData researchImData) {
            Research research = new Research();
            research.setId(researchImData.getId());
            research.setTitle(researchImData.getTitle());
            research.setAuthor(researchImData.getAuthor());
            research.setInstitution(researchImData.getInstitution());
            research.setTopic(researchImData.getTopic());
            research.setPublicationTime(researchImData.getPublicationTime());
            research.setCategory(researchImData.getCategory());
            return research;
        }
    };

    @Override
    public DataConverter<ResearchImData, Research> getConverter() {
        return converter;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getInstitution() {
        return institution;
    }

    public void setInstitution(String institution) {
        this.institution = institution;
    }

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }

    public String getPublicationTime() {
        return publicationTime;
    }

    public void setPublicationTime(String publicationTime) {
        this.publicationTime = publicationTime;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }
}
