package com.ruoyi.project.VRdemo.mapper;

import com.ruoyi.project.VRdemo.domain.NoteData;
import com.ruoyi.project.VRdemo.domain.StudyData;
import com.ruoyi.project.VRdemo.domain.vo.Catalog;
import com.ruoyi.project.VRdemo.domain.vo.StudyDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StudyDataMapper {
    /**
     * 查询study
     *
     * @param id study主键
     * @return study
     */
    public StudyData selectStudyDataById(Long id);

    /**
     * 查询study列表
     *
     * @param studyData study
     * @return study集合
     */
    public List<StudyData> selectStudyDataList(StudyData studyData);

    /**
     * 新增study
     *
     * @param studyData study
     * @return 结果
     */
    public int insertStudyData(StudyData studyData);

    /**
     * 校验用户名称是否唯一
     *
     * @param title 用户名称
     * @return 结果
     */
    public StudyData checkUserNameUnique(String title);
    /**
     * 修改study
     *
     * @param studyData study
     * @return 结果
     */
    public int updateStudyData(StudyData studyData);

    public boolean  updateFileUploadUrlData(@Param("file")String file, @Param("ids")Long ids);
    /**
     * 删除study
     *
     * @param id study主键
     * @return 结果
     */
    public int deleteStudyDataById(Long id);

    /**
     * 批量删除study
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStudyDataByIds(Long[] ids);

    public List<StudyData> selectStudyDataListVo(StudyDataVo studyDataVo);

    public List<StudyData> selectStudyDataListVoAll(StudyDataVo studyDataVo);

    public List<Catalog> selectCatalog(Catalog catalog);
}
