package com.ruoyi.project.VRdemo.service;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.Literature;

/**
 * 博雅集东南亚重要参考文献汇编Service接口
 *
 * @author ruoyi
 * @date 2024-09-26
 */
public interface ILiteratureService {

    /**
     * 查询博雅集东南亚重要参考文献汇编
     *
     * @param id 博雅集东南亚重要参考文献汇编主键
     * @return 博雅集东南亚重要参考文献汇编
     */
    Literature selectLiteratureById(Long id);

    /**
     * 查询博雅集东南亚重要参考文献汇编列表
     *
     * @param literature 博雅集东南亚重要参考文献汇编
     * @return 博雅集东南亚重要参考文献汇编集合
     */
    List<Literature> selectLiteratureList(Literature literature);

    /**
     * 新增博雅集东南亚重要参考文献汇编
     *
     * @param literature 博雅集东南亚重要参考文献汇编
     * @return 结果
     */
    int insertLiterature(Literature literature);

    /**
     * 导入数据
     */
    String importData(List<Literature> dataList, boolean updateSupport);

    /**
     * 修改博雅集东南亚重要参考文献汇编
     *
     * @param literature 博雅集东南亚重要参考文献汇编
     * @return 结果
     */
    int updateLiterature(Literature literature);

    /**
     * 批量删除博雅集东南亚重要参考文献汇编
     *
     * @param ids 需要删除的博雅集东南亚重要参考文献汇编主键集合
     * @return 结果
     */
    int deleteLiteratureByIds(Long[] ids);

    /**
     * 删除博雅集东南亚重要参考文献汇编信息
     *
     * @param id 博雅集东南亚重要参考文献汇编主键
     * @return 结果
     */
    int deleteLiteratureById(Long id);

}
